local salthudFile = Utils.getFilename("bigBagContainerSalt/materialHolder/fillPlanes/hud_fill_salt.png", g_currentModDirectory)
local salthudFileSml = Utils.getFilename("bigBagContainerSalt/materialHolder/fillPlanes/hud_fill_salt_sml.png", g_currentModDirectory)
local diffuseMapsalt = Utils.getFilename("bigBagContainerSalt/materialHolder/fillPlanes/salt_diffuse.png", g_currentModDirectory)
local normalMapsalt = Utils.getFilename("bigBagContainerSalt/materialHolder/fillPlanes/salt_normal.png", g_currentModDirectory)
local distancesalt = Utils.getFilename("bigBagContainerSalt/materialHolder/fillPlanes/salt_distance.png", g_currentModDirectory)

local filltypeCategoryId = FillUtil.registerFillTypeCategory("saltSpreader")

Sprayer.registerSprayType(
	"salt",
	g_i18n:getText("filltype_salt"),
	filltypeCategoryId,
	0.5,
	0.003,
	false,
	salthudFile,
	salthudFileSml,
	0.001
)

FillUtil.addFillTypeToCategory(FillUtil.FILLTYPE_CATEGORY_BULK, FillUtil.FILLTYPE_SALT)

TipUtil.registerDensityMapHeightType(
	FillUtil.FILLTYPE_SALT,
	math.rad(35),
	1.0,
	0.08,
	0.00,
	0.08,
	1,
	false,
	diffuseMapsalt,
	normalMapsalt,
	distancesalt
)

SaltMaterialHolder = {}
addModEventListener(SaltMaterialHolder)

local modDir = g_currentModDirectory

function SaltMaterialHolder:loadMap(name)	
    
	loadI3DFile(modDir .. "bigBagContainerSalt/materialHolder/fillPlane_materialHolder.i3d", false, true, false)
	loadI3DFile(modDir .. "bigBagContainerSalt/materialHolder/effect_materialHolder.i3d", false, true, false)
end
function SaltMaterialHolder:deleteMap()end
function SaltMaterialHolder:mouseEvent(posX, posY, isDown, isUp, button)end
function SaltMaterialHolder:keyEvent(unicode, sym, modifier, isDown)end
function SaltMaterialHolder:update(dt)end
function SaltMaterialHolder:draw()end
